Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class CallSourceParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named
          umontreal.iro.lecuyer.contactcenters.msk.params.CallSourceParams

Direct Known Subclasses:
  ArrivalProcessParams, DialerParams

    public abstract class CallSourceParams

extends Named

Defines the parameters for a call source generating inbound or outbound calls, possibly of more than one type.

Field Summary
`protected Boolean` | `checkAgentsForCall`
`protected List<ProducedCallTypeParams>` | `producedCallTypes`
`protected Boolean` | `sourceEnabled`
`protected List<TimeIntervalParams>` | `sourceToggleTimes`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`name, properties`

Constructor Summary
`CallSourceParams()`

Method Summary
`List<ProducedCallTypeParams>` | `getProducedCallTypes()` Gets the value of the producedCallTypes property.
`List<TimeIntervalParams>` | `getSourceToggleTimes()` Gets the value of the sourceToggleTimes property.
`boolean` | `isCheckAgentsForCall()` Gets the value of the checkAgentsForCall property.
`boolean` | `isSetCheckAgentsForCall()`
`boolean` | `isSetProducedCallTypes()`
`boolean` | `isSetSourceEnabled()`
`boolean` | `isSetSourceToggleTimes()`
`boolean` | `isSourceEnabled()` Gets the value of the sourceEnabled property.
`void` | `setCheckAgentsForCall(boolean value)` Sets the value of the checkAgentsForCall property.
`void` | `setSourceEnabled(boolean value)` Sets the value of the sourceEnabled property.
`void` | `unsetCheckAgentsForCall()`
`void` | `unsetProducedCallTypes()`
`void` | `unsetSourceEnabled()`
`void` | `unsetSourceToggleTimes()`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`getName, getProperties, isSetName, isSetProperties, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceToggleTimes

    protected List<TimeIntervalParams> sourceToggleTimes

### producedCallTypes

    protected List<ProducedCallTypeParams> producedCallTypes

### sourceEnabled

    protected Boolean sourceEnabled

### checkAgentsForCall

    protected Boolean checkAgentsForCall

Constructor Detail

### CallSourceParams

    public CallSourceParams()

Method Detail

### getSourceToggleTimes

    public List<TimeIntervalParams> getSourceToggleTimes()

  Gets the value of the sourceToggleTimes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sourceToggleTimes property.

  For example, to add a new item, do as follows:

          getSourceToggleTimes().add(newItem);

  Objects of the following type(s) are allowed in the list `TimeIntervalParams`

### isSetSourceToggleTimes

    public boolean isSetSourceToggleTimes()

### unsetSourceToggleTimes

    public void unsetSourceToggleTimes()

### getProducedCallTypes

    public List<ProducedCallTypeParams> getProducedCallTypes()

  Gets the value of the producedCallTypes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the producedCallTypes property.

  For example, to add a new item, do as follows:

          getProducedCallTypes().add(newItem);

  Objects of the following type(s) are allowed in the list `ProducedCallTypeParams`

### isSetProducedCallTypes

    public boolean isSetProducedCallTypes()

### unsetProducedCallTypes

    public void unsetProducedCallTypes()

### isSourceEnabled

    public boolean isSourceEnabled()

  Gets the value of the sourceEnabled property.

  Returns:
    possible object is `Boolean`

### setSourceEnabled

    public void setSourceEnabled(boolean value)

  Sets the value of the sourceEnabled property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetSourceEnabled

    public boolean isSetSourceEnabled()

### unsetSourceEnabled

    public void unsetSourceEnabled()

### isCheckAgentsForCall

    public boolean isCheckAgentsForCall()

  Gets the value of the checkAgentsForCall property.

  Returns:
    possible object is `Boolean`

### setCheckAgentsForCall

    public void setCheckAgentsForCall(boolean value)

  Sets the value of the checkAgentsForCall property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetCheckAgentsForCall

    public boolean isSetCheckAgentsForCall()

### unsetCheckAgentsForCall

    public void unsetCheckAgentsForCall()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.